<!DOCTYPE html>
<html>
<head>
</head>
<body>
<form id="myForm">
  <label for="apiKey">Api Key</label>
  <input id="apiKey" name="apiKey" type="text">
 <br/>
  <label for="file">Select a file:</label>
  <input id="file" name="file" type="file">
  <br/>
  <input type="submit" value="Send">
</form>
<script>
window.addEventListener( "load", function () {
function sendData() {
const XHR = new XMLHttpRequest();

// Bind the FormData object and the form element
const FD = new FormData( form );

// Define what happens on successful data submission
XHR.addEventListener( "load", function(event) {
alert( event.target.responseText );
} );

// Define what happens in case of error
XHR.addEventListener( "error", function( event ) {
alert( 'Oops! Something went wrong.' );
} );

// Set up our request
XHR.open( "POST", "/dataset");
XHR.setRequestHeader("Authorization", FD.get("apiKey"))
// The data sent is what the user provided in the form
XHR.send( FD );
}

// Access the form element...
const form = document.getElementById( "myForm" );

// ...and take over its submit event.
form.addEventListener( "submit", function ( event ) {
event.preventDefault();

sendData();
} );
} );

</script>
</body>
